## ros-lunar-position-controllers 0.13.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(position_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS controller_interface forward_command_controller)

# Declare catkin project
catkin_package(
    CATKIN_DEPENDS controller_interface forward_command_controller
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
add_library(${PROJECT_NAME}
  src/joint_position_controller.cpp
  src/joint_group_position_controller.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES position_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-position-controllers (0.13.4-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-lunar-position-controllers (0.13.3-0xenial) xenial; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-lunar-position-controllers (0.13.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-position-controllers (0.13.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-lunar-position-controllers (0.13.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-lunar-position-controllers (0.12.3-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-lunar-position-controllers (0.12.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-lunar-position-controllers (0.12.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-lunar-position-controllers (0.12.0-0xenial) xenial; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-lunar-position-controllers (0.11.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-lunar-position-controllers (0.11.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-position-controllers (0.11.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-lunar-position-controllers (0.10.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-position-controllers (0.9.2-0xenial) xenial; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-position-controllers (0.9.1-0xenial) xenial; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-position-controllers (0.9.0-0xenial) xenial; urgency=high

  * New controller: position_controllers/JointGroupPositionController (multi-joint)
  * Hold position when starting JointPositionController and JointGroupPositionController
  * Buildsystem fixes
  * Contributors: Dave Coleman, ipa-fxm

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-position-controllers (0.8.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-lunar-position-controllers (0.8.0-0xenial) xenial; urgency=high

  * Remove rosbuild artifacts. Fix #90 <https://github.com/ros-controls/ros_controllers/issues/90>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-position-controllers (0.7.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-position-controllers (0.7.1-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-position-controllers (0.7.0-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-position-controllers (0.6.0-0xenial) xenial; urgency=high

  * Link shared libraries to catkin libraries
    GCC is quite lenient with missing symbols on shared libraries and
    doesn't event output any warning about it.
    When building with other compilers, missing symbols result in build
    errors.
  * Contributors: Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-position-controllers (0.5.4-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 29 Sep 2013 23:00:00 -0000

ros-lunar-position-controllers (0.5.3-0xenial) xenial; urgency=high

  * Removed manifest.xml from all packages to prevent rosdep heirarchy issues in Groovy and Hydro
  * Added ignored manifest.xml files, added rule to .gitignore

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 03 Sep 2013 23:00:00 -0000

ros-lunar-position-controllers (0.5.2-0xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 05 Aug 2013 23:00:00 -0000

ros-lunar-position-controllers (0.5.1-0xenial) xenial; urgency=high

  * Added maintainer

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-lunar-position-controllers (0.5.0-0xenial) xenial; urgency=high

  * Merged
  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.


=== debian/control ===
Source: ros-lunar-position-controllers
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-controller-interface, ros-lunar-forward-command-controller
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-lunar-position-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-controller-interface, ros-lunar-forward-command-controller
Description: position_controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-position-controllers//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
